{% extends 'posts/base.html' %}

{% block title %}Главная || Блог о кореллах{% endblock %}
{% block page_title %}Блог о кореллах{% endblock %}

{% block container %}
<div class="row justify-content-center">
    <div class="col-lg-8">
        <div class="blog-standard">
            {% for post in posts %}
            <div class="single-blog-standard mt-30">
                <div class="blog-standard-thumb">
                    <img src="{{ url_for('static', filename='images/blog-1.jpg') }}" alt="blog">
                </div>
                <div class="blog-standard-content">
                    <h2 class="title">{{ post.title }}</h2>
                    <ul>
                        <li><i class="fal fa-eye"></i> 0 просмотров</li>
                        <li><i class="fal fa-calendar-alt"></i>{{ post.created_at.strftime("%d.%m.%Y") }}</li>
                    </ul>
                    <p>{{ post.description }}</p>
                    <div class="blog-flex">
                        <div class="blog-left">
                            <p>{{ post.username }}</p>
                            <img src="{{ url_for('static', filename='images/user.png') }}" alt="">
                        </div>
                        <div class="blog-right">
                            <a href="{{ url_for('posts_bp.details', post_id=post.id) }}"><i class="fal fa-arrow-right"></i>Читать</a>
                        </div>
                    </div>
                </div>
            </div>
            {% endfor %}
            {% if not posts %}
            Постов нет
            {% endif %}
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="pagination-area d-flex justify-content-center mt-40">
                    <nav aria-label="Page navigation example">
                        <ul class="pagination">
                            <li class="page-item">
                                <a class="page-link" href="#" aria-label="Previous">
                                    <span aria-hidden="true">&laquo;</span>
                                </a>
                            </li>
                            <li class="page-item"><a class="page-link" href="#">1</a></li>
                            <li class="page-item"><a class="page-link" href="#">2</a></li>
                            <li class="page-item"><a class="page-link" href="#">3</a></li>
                            <li class="page-item"><a class="page-link" href="#">...</a></li>
                            <li class="page-item"><a class="page-link" href="#">10</a></li>
                            <li class="page-item">
                                <a class="page-link" href="#" aria-label="Next">
                                    <span aria-hidden="true">&raquo;</span>
                                </a>
                            </li>
                        </ul>
                    </nav>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}